/*!
\file projection.h
\brief Class declaration for Projection
\author Nicholas Phillips, phillips@friday.gsfc.nasa.gov
\date June 29, 2004
*/
#ifndef PROJECTION_H
#define PROJECTION_H

#include "typedefs.h"
#include "skymap.h"

/**
@author Nicholas Phillips
*/
class Projection {
public:
	virtual void draw() = 0;
	virtual bool select(const qglviewer::Vec &o,const qglviewer::Vec &d, qglviewer::Vec &v) = 0;
};

#endif
